package com.sikey.wa04.business.domain.adapter;

import com.sikey.wa04.business.domain.entity.*;

import java.util.List;

/**
 * 孩子查询适配器
 *
 * @author luoyangwei
 */
public interface ChildQueryAdapter {

    /**
     * 查询用户绑定的孩子
     *
     * @param uid 孩子ID
     * @return 孩子列表
     */
    List<Child> findChildren(UserId uid);

    /**
     * 查询孩子的家长
     *
     * @param cid 孩子ID
     * @return 家长列表
     */
    List<User> findParent(ChildId cid);

    /**
     * 查询孩子
     *
     * @param childId 孩子ID
     * @return 孩子
     */
    Child findByChildId(ChildId childId);

    /**
     * 查询儿童
     *
     * @param childId 儿童id
     * @return
     */
    List<ChildRef> queryChildRefByChildId(String childId);

    /**
     * 查询孩子
     *
     * @param uidList 孩子ID
     * @return 孩子
     */
    List<Child> findByChildId(List<String> uidList);
}
